LIBPINYIN(1)

NAME
libpinyin - Library to deal with pinyin

DESCRIPTION
The libpinyin project aims to provide the algorithms core for intelligent sentence-based Chinese pinyin input methods.

TOOLS
gen_binary_files - generate initially binary pinyin libraries import_interpolation - import libpinyin textual format model data gen_unigram - increase the unigram frequency for all phrases

USAGE

gen_binary_files --table-dir <DIRNAME>

    --table-dir Read textual format files from the <DIRNAME> directory.

import_interpolation < <MODELFILE>

gen_unigram

EXAMPLE
Download the model.text.tar.gz, and extracts all files into a folder, then run the commands below to generate the binary model data.
    rm gb_char.bin gbk_char.bin phrase_index.bin pinyin_index.bin bigram.db gen_binary_files --table-dir ../data import_interpolation < ../data/interpolation.text gen_unigram